### Enumeration

# AppStream AgreementKind

#### Declaration

    enum AppStream.AgreementKind

#### Description [src]

The kind of the agreement.

#### Members

`AS_AGREEMENT_KIND_UNKNOWN`

  Unknown value.

  - Value: `0`
  - Available since: 1.0
`AS_AGREEMENT_KIND_GENERIC`

  A generic agreement without a specific type.

  - Value: `1`
  - Available since: 1.0
`AS_AGREEMENT_KIND_EULA`

  An End User License Agreement.

  - Value: `2`
  - Available since: 1.0
`AS_AGREEMENT_KIND_PRIVACY`

  A privacy agreement, typically a GDPR statement.

  - Value: `3`
  - Available since: 1.0

#### Type functions

###### as_agreement_kind_from_string

Converts the text representation to an enumerated value.

since: 0.12.1

###### as_agreement_kind_to_string

Converts the enumerated value to an text representation.

since: 0.12.1